import 'package:flutter/cupertino.dart';
import 'package:zhiying_comm/util/net_util.dart';
import 'package:zhiying_comm/util/empty_util.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'home_quick_entry_event.dart';

class HomeQuickEntryRepository {

  /// 获取数据
  Future<dynamic> fetchData({@required HomeQuickEntryInitEvent event}) async {
    var result = await NetUtil.post('/api/v1/mod', params: {'ids':[event.model['mod_id']]}, cache: true);
    if(NetUtil.isSuccess(result) && !EmptyUtil.isEmpty(result[GlobalConfig.HTTP_RESPONSE_KEY_DATA])){
      
    }
    return null;
  }

  /// 获取缓存数据
  Future<dynamic> fetchCachedData({@required HomeQuickEntryInitEvent event}) async{
    var result = await NetUtil.getRequestCachedData('/api/v1/mod', params: {'ids':[event.model['mod_id']]});
    if(!EmptyUtil.isEmpty(result)){
      return result;
    }
    return null;
  }

}
